IP
All operations require authentication.
3 operationsv1/overTheBox/{serviceName}
List the IPs of an OverTheBox serviceBeta
GET
/1.0/ overTheBox/ {serviceName}/ ips
Returns the IP addresses attached to the OverTheBox service. Get an IP for its version, prefix, status and geolocation.
Path parameters
service Name
required
string
Service name
Response
200ip []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ ips \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Get an IP of an OverTheBox serviceBeta
GET
/1.0/ overTheBox/ {serviceName}/ ips/ {ip}
Returns an IP address of the OverTheBox service with its version (v4 or v6), CIDR prefix, status and geolocation.
Path parameters
ip
required
ip
Ip
service Name
required
string
Service name
Response
200ipsuccessful operation
geolocation
read-only
geolocation Enum
IP geolocation
Values
frip
read-only
ip
IP address
range
read-only
integer
IP cidr prefix
status
read-only
status Enum
IP status
Values
activefreependingReleasereleasedreservedversion
read-only
version Enum
IP version
Values
v4v6Example uses ip = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ ips/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "geolocation": "fr", "ip": "192.0.2.0", "range": 0, "status": "active", "version": "v4"}
Update the IPv6 status of an OverTheBox serviceBeta
PUT
/1.0/ overTheBox/ {serviceName}/ ipv6
Update the IPv6 status of an OverTheBox service. Enables or disables IPv6 on the service and returns the task that performs the change.
Path parameters
service Name
required
string
The internal name of your overTheBox offer
Request body (required)
enabled
required
boolean
Enabled/disabled IPv6
Response
200Tasksuccessful operation
name
read-only
string
The name of the task
status
read-only
Task Status Enum
The status of the task
Values
doingdoneerrortodotask Id
read-only
string
The id of the task
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ ipv6 \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "status": "doing", "taskId": "string"}